GETW(3)

NAME
getw, putw - input and output of words (ints)

SYNOPSIS
#include <stdio.h>

int getw(FILE *stream);
int putw(int w, FILE *stream);

DESCRIPTION
getw reads a word (that is, an int) from stream. It's provided for compatibility with SVID. We recommend you use fread(3) instead.

putw writes the word w (that is, an int) to stream. It is provided for compatibility with SVID, but we recommend you use fwrite(3) instead.

RETURN VALUE
Normally, getw returns the word read, and putw returns 0. On error, they return EOF.

BUGS
The value returned on error is also a legitimate data value. ferror(3) can be used to distinguish between the two cases.

CONFORMING TO
SVID

SEE ALSO
ferror(3), fread(3), fwrite(3), getc(3), putc(3)